Create a crypto wallet
curl --request POST \
--url https://api-prod.blaaiz.com/api/external/crypto/wallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"crypto_currency_symbol": "USDC"
}
'import requests
url = "https://api-prod.blaaiz.com/api/external/crypto/wallets"
payload = { "crypto_currency_symbol": "USDC" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({crypto_currency_symbol: 'USDC'})
};
fetch('https://api-prod.blaaiz.com/api/external/crypto/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/crypto/wallets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"crypto_currency_symbol\": \"USDC\"\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/crypto/wallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'crypto_currency_symbol' => 'USDC'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Crypto wallet created successfully.",
"data": {
"id": "wallet-id",
"asset": {
"id": 1,
"symbol": "USDC",
"name": "USD Coin",
"decimals": 6
},
"balance": "0.000000",
"is_active": true,
"created_at": "2026-08-12T20:00:00.000000Z",
"updated_at": "2026-08-12T20:00:00.000000Z"
}
}Crypto
Create a crypto wallet
Create a crypto wallet for your business. Your business must have approved KYB. Required scope: crypto-wallet:create.
POST
/
api
/
external
/
crypto
/
wallets
Create a crypto wallet
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Crypto wallet created successfully.
Was this page helpful?
⌘I

